Index: /extensions/stripped_black_bloc/local_head.tpl
===================================================================
--- /extensions/stripped_black_bloc/local_head.tpl	(revision 11678)
+++ /extensions/stripped_black_bloc/local_head.tpl	(revision 11679)
@@ -3,27 +3,76 @@
 {html_head}{literal} 
 <script type="text/javascript">
+/**
+* jQuery Cookie plugin
+*
+* Copyright (c) 2010 Klaus Hartl (stilbuero.de)
+* Dual licensed under the MIT and GPL licenses:
+* http://www.opensource.org/licenses/mit-license.php
+* http://www.gnu.org/licenses/gpl.html
+*
+*/
+jQuery.cookie = function (key, value, options) {
+
+    // key and at least value given, set cookie...
+    if (arguments.length > 1 && String(value) !== "[object Object]") {
+        options = jQuery.extend({}, options);
+
+        if (value === null || value === undefined) {
+            options.expires = -1;
+        }
+
+        if (typeof options.expires === 'number') {
+            var days = options.expires, t = options.expires = new Date();
+            t.setDate(t.getDate() + days);
+        }
+
+        value = String(value);
+
+        return (document.cookie = [
+            encodeURIComponent(key), '=',
+            options.raw ? value : encodeURIComponent(value),
+            options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
+            options.path ? '; path=' + options.path : '',
+            options.domain ? '; domain=' + options.domain : '',
+            options.secure ? '; secure' : ''
+        ].join(''));
+    }
+
+    // key and possibly options given, get cookie...
+    options = value || {};
+    var result, decode = options.raw ? function (s) { return s; } : decodeURIComponent;
+    return (result = new RegExp('(?:^|; )' + encodeURIComponent(key) + '=([^;]*)').exec(document.cookie)) ? decode(result[1]) : null;
+};
 function tnb_resize() {
 	$('#subcontent').masonry({
-		singleMode: true, 
-		columnWidth: 200, 
-		itemSelector: '.bloc',
-		animate: true
+		columnWidth: 170, 
+		itemSelector: '.bloc, .content_block, .bloc_stuff',
+		isAnimated: true
 	});
-
 }
 jQuery(document).ready(function(jQuery){
-	
 	jQuery(".bloc a").hover(function() { jQuery(this).fadeTo(500, 1); }, function() { jQuery(this).fadeTo(500, 0.75);  });
 	var sidemenu = jQuery.cookie('side-menu');
 	var isdisplayed;
 		// if cookie says the menu is hiding, keep it hidden!
+	{/literal} {if $stripped.hideMenu} {literal} 
+	if (sidemenu == 'showing') {
+		jQuery("#subcontent").css({'margin-left' : '20em'});
+		isdisplayed=true;
+	}
+	else {
+		jQuery("#subcontent").css({'margin-left' : '0'});
+		isdisplayed=false;
+	}
+	{/literal} {else} {literal} 
 	if (sidemenu == 'hiding') {
 		jQuery("#subcontent").css({'margin-left' : '0'});
 		isdisplayed=false;
 	}
-	if (sidemenu == 'showing') {
+	else {
 		jQuery("#subcontent").css({'margin-left' : '20em'});
 		isdisplayed=true;
 	}
+	{/literal} {/if} {literal} 
 	// creates a variable with the contents of the cookie side-menu
 	jQuery("#menuswitcher").click(function(){
@@ -36,11 +85,6 @@
 		}
 	});
+	tnb_resize();
 
-	jQuery('#subcontent').masonry({
-		  singleMode: true, 
-		columnWidth: 200, 
-		itemSelector: '.bloc',
-		animate: true
-	});
 });
   </script> 
Index: /extensions/stripped_black_bloc/template/mainpage_categories.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/mainpage_categories.tpl	(revision 11678)
+++ /extensions/stripped_black_bloc/template/mainpage_categories.tpl	(revision 11679)
@@ -1,4 +1,4 @@
   {foreach from=$category_thumbnails item=cat}
-	<div class="bloc">
+	<div class="bloc album">
 			<a href="{$cat.URL}" style="background: url({$cat.TN_SRC}) no-repeat scroll center center transparent; height: {$cat.TN_HEIGHT}px; width: {$cat.TN_WIDTH}px; opacity: 0.75; max-width:150px;" >
 				{$cat.NAME}
Index: /extensions/stripped_black_bloc/template/navigation_bar.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/navigation_bar.tpl	(revision 11679)
+++ /extensions/stripped_black_bloc/template/navigation_bar.tpl	(revision 11679)
@@ -0,0 +1,23 @@
+<div class="navigationBar">
+	<span class="nav_bulle">Page {$navbar.CURRENT_PAGE} / {$navbar.pages|@count}</span>
+  {if isset($navbar.URL_FIRST)}
+  <a href="{$navbar.URL_FIRST}" rel="first" class="first nav_bulle">{'First'|@translate}</a>
+  <a href="{$navbar.URL_PREV}" rel="prev" class="newer nav_bulle">«</a>
+  {/if}
+
+  {assign var='prev_page' value=0}
+  {foreach from=$navbar.pages key=page item=url}
+    {if $page > $prev_page+1}...{/if}
+    {if $page == $navbar.CURRENT_PAGE}
+    <span class="current nav_bulle">{$page}</span>
+    {else}
+    <a href="{$url}" class="nav_bulle" >{$page}</a>
+    {/if}
+    {assign var='prev_page' value=$page}
+  {/foreach}
+
+  {if isset($navbar.URL_NEXT)}
+   <a href="{$navbar.URL_NEXT}" rel="next" class="older nav_bulle">»</a>
+   <a href="{$navbar.URL_LAST}" rel="last" class="last nav_bulle">{'Last'|@translate}</a>
+  {/if}
+</div>
Index: /extensions/stripped_black_bloc/template/stuffs_blocks.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/stuffs_blocks.tpl	(revision 11678)
+++ /extensions/stripped_black_bloc/template/stuffs_blocks.tpl	(revision 11679)
@@ -1,4 +1,4 @@
 {foreach from=$blocks item=block key=key}
-    <div id="stuffs_block_{$block.ID}" class="content bloc {$block.CLASS} {$block.TEMPLATE|replace:'.tpl':''}" {if !empty($block.WIDTH)}style="width: {$block.WIDTH}%;"{/if}>
+    <div id="stuffs_block_{$block.ID}" class="content bloc_stuff {$block.CLASS} {$block.TEMPLATE|replace:'.tpl':''}" {if !empty($block.WIDTH)}style="width: {$block.WIDTH}%;"{/if}>
     {if isset($block.TITLE)}
       <div class="titrePage">
Index: /extensions/stripped_black_bloc/theme.css
===================================================================
--- /extensions/stripped_black_bloc/theme.css	(revision 11678)
+++ /extensions/stripped_black_bloc/theme.css	(revision 11679)
@@ -29,5 +29,5 @@
 */
  #subcontent {
-    min-height: 466px;
+    min-height: 490px;
 		display:block;
 }
@@ -39,5 +39,21 @@
     width: 18em;
 }  
-
+.stuffs_thumbnails .bloc {
+	position:relative !important;
+	top:auto !important;
+	left:auto !important;
+}
+.stuffs_thumbnails .bloc {
+    display: inline-block !important;
+}
+.stuffs_thumbnails {
+	width:400px;
+}
+.stuffs_thumbnails #thumbnails {
+	margin:0;
+}
+#thePicturePage .stuffs_thumbnails {
+	width:auto;
+}
 .bloc {
     display: block;
@@ -45,4 +61,8 @@
     padding: 5px;
     width: 150px;
+		z-index:999;
+}
+.content_block {
+	z-index:999;
 }
 .bloc * {
@@ -50,5 +70,4 @@
 }
 .bloc .title {
-	    color: #FFFFFF;
     left: 6px;
     max-width: 138px !important;
@@ -57,21 +76,11 @@
     top: 6px;
     z-index: 1;
-    background-image: url("img/btn.png");
-    border-radius: 5px 5px 5px 5px;
     cursor: pointer;
     display: block;
     float: left;
-    font-family: Helvetica,Arial,sans-serif;
-    font-size: 9px;
-    font-weight: bold;
     margin-right: 5px;
     padding: 7px 10px 8px;
-    text-align: center;
-    text-decoration: none;
-    text-transform: uppercase;
-    white-space: normal;
 }
 .bloc a {
-    border-radius: 5px 5px 5px 5px;
     display: block;
     overflow: hidden;
@@ -80,5 +89,16 @@
     width: 160px;
 }
-/** color **/
+.nav_bulle {
+    font-size: 9px;
+    font-weight: bold;
+    margin-right: 5px;
+    padding: 7px 10px 8px;
+}
+#thumb_navigation {
+	display:none
+}
+/****************
+ color backgroung etc 
+ ************************/
 body {
     background-color: #1E1E1E;
@@ -91,8 +111,31 @@
     text-decoration: none;
 }
+.bloc .title, .nav_bulle {
+	color: #FFFFFF;
+	background-image: url("img/btn.png");
+	border-radius: 5px 5px 5px 5px;
+	font-family: Helvetica,Arial,sans-serif;
+	font-size: 9px;
+	font-weight: bold;
+	text-align: center;
+	text-decoration: none;
+	text-transform: uppercase;
+	white-space: normal;
+
+}
+.bloc a {
+    border-radius: 5px 5px 5px 5px;
+}
 #thePicturePage .left_block, #thePicturePage .right_block, #thePicturePage .middle_block, #content {
   background: transparent
 }
-#theHeader, .titrePage, .titrePage a {
+#theHeader, .titrePage, .titrePage a, .footer_login a, .navigationBar a {
     color: #E6554F;
 }
+.album .title {
+	color:#F8CDCB;
+}
+
+.content_block .additional_info {
+	color:inherit;
+}
Index: /extensions/stripped_black_bloc/themeconf.inc.php
===================================================================
--- /extensions/stripped_black_bloc/themeconf.inc.php	(revision 11678)
+++ /extensions/stripped_black_bloc/themeconf.inc.php	(revision 11679)
@@ -1,5 +1,5 @@
 <?php
 /*
-Theme Name: stripped_black_bloc
+Theme Name: Stripped & Columns
 Version: 0
 Description: stripped_black_bloc