Index: /extensions/Shadogo/trunk/language/hu_HU/description.txt
===================================================================
--- /extensions/Shadogo/trunk/language/hu_HU/description.txt	(revision 11685)
+++ /extensions/Shadogo/trunk/language/hu_HU/description.txt	(revision 11685)
@@ -0,0 +1,1 @@
+Képek, videók és piwigo oldalak megjelelítése fedő réteg formában.
Index: /extensions/Shadogo/trunk/language/hu_HU/index.php
===================================================================
--- /extensions/Shadogo/trunk/language/hu_HU/index.php	(revision 11685)
+++ /extensions/Shadogo/trunk/language/hu_HU/index.php	(revision 11685)
@@ -0,0 +1,29 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwishadow - plugin for piwigo, a PHP based photo gallery             |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2011 BinaryWorld      http://binaryworld.hd.free.fr |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Shadogo/trunk/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/Shadogo/trunk/language/hu_HU/plugin.lang.php	(revision 11685)
+++ /extensions/Shadogo/trunk/language/hu_HU/plugin.lang.php	(revision 11685)
@@ -0,0 +1,72 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | shadogo - plugin for piwigo, a PHP based photo gallery                |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2011 BinaryWorld      http://binaryworld.hd.free.fr |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+//
+// Piwishado Administration Form
+//
+$lang['shadogo_overlaylibs']				= 'Fedő réteg könyvtár kiválasztása';
+$lang['shadogo_overlaythemes']			= 'Fedő réteg téma';
+$lang['shadogo_display_expert_params']	= 'Haladó paraméterek megjelenítése';
+
+$lang['shadogo_overlay_config']			= 'Fedő réteg beállítása';
+$lang['shadogo_overlay_hdpicture']		= 'HD kép megjelenítésének engedélyezése';
+$lang['shadogo_overlay_download']		= 'HD kép letöltésének engedélyezése';
+$lang['shadogo_overlay_addtobasket']	= 'Kosár kezelésének engedélyezése';
+$lang['shadogo_overlay_favorites']		= 'Kedvencek kezelésének engedélyezése';
+
+$lang['shadogo_mediaplayer_config']		= 'Médialejátszó beállítása';
+$lang['shadogo_mediaplayer_content']		= 'Jelenjen meg a lejátszó az oldal tartalmában';
+$lang['shadogo_mediafile_pattern']		= 'Média fájl sablon';
+
+$lang['shadogo_hdcontent_config']		= 'HD tartalom beállítása';
+$lang['shadogo_hdcontent_inoverlay']		= 'HD tartalom megjelenítése shadowbox-ban';
+$lang['shadogo_hdcontent_pattern']		= 'HD tartalom sablon';
+$lang['shadogo_hdcontent_replacement']	= 'HD kód cseréje';
+
+$lang['shadogo_slideshow_config']		= 'Diavetítés beállítása';
+$lang['shadogo_slideshow_inoverlay']		= 'Diavetítés megjelenítése shadowbox-ban';
+$lang['shadogo_slideshow_pattern']		= 'Diavetítés sablon';
+$lang['shadogo_slideshow_replacement']	= 'Diavetítés kód cseréje';
+
+$lang['shadogo_thumbnail_config']					= 'Bélyegkép beállítása';
+$lang['shadogo_thumbnail_content_inoverlay']			= 'Bélyegkép tartalom megjelenítése shadobox-ban';
+$lang['shadogo_thumbnail_player_icon']				= 'Lejátszó ikon megjelenítése a jelmagyarázatban';
+$lang['shadogo_thumbnail_content_icon']				= 'Tartalom ikon megjelenítése a jelmagyarázatban';
+$lang['shadogo_thumbnail_contentpage_inoverlay']		= 'Oldal tartalmának megjelenítése shadobox-ban';
+$lang['shadogo_thumbnail_label']						= 'Név megjelenítése a bélyegképnél';
+$lang['shadogo_thumbnail_buttons_search']			= 'A thumbnail_piwishadow_buttons.tpl fájl sablonkód cseréje';
+$lang['shadogo_thumbnail_hrefcontent_search']		= 'A thumbnail_piwishadow_content.tpl fájl sablonkód cseréje';
+
+
+$lang['shadogo_save'] 					= 'Mentés';
+$lang['shadogo_cancel'] 					= 'Mégse';
+$lang['shadogo_restore'] 				= 'Alapértelmezett értékek visszaállítása';
+
+$lang['shadogo_note_warm_restore'] 		= 'Az alapértelmezett értékek visszaállítása után a beállításokat menteni kell!';
+
+//
+// ALT
+//
+$lang['shadogo_content'] 				= 'Tartalom megtekintése';
+$lang['shadogo_play'] 					= 'Lejátszás';
+
+?>