Index: /extensions/SmartAlbums/language/de_DE/description.txt
===================================================================
--- /extensions/SmartAlbums/language/de_DE/description.txt	(revision 11690)
+++ /extensions/SmartAlbums/language/de_DE/description.txt	(revision 11690)
@@ -0,0 +1,1 @@
+Einfach dynamische Alben nach Kriterien wie Stichworte, Datum, usw. erstellen
Index: /extensions/SmartAlbums/language/de_DE/index.php
===================================================================
--- /extensions/SmartAlbums/language/de_DE/index.php	(revision 11690)
+++ /extensions/SmartAlbums/language/de_DE/index.php	(revision 11690)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/de_DE/plugin.lang.php	(revision 11690)
+++ /extensions/SmartAlbums/language/de_DE/plugin.lang.php	(revision 11690)
@@ -0,0 +1,39 @@
+<?php
+
+$lang['%d photos associated to album %s'] = '%d Fotos mit Album %s assoziiert';
+$lang['No filter selected'] = 'Kein Filter ausgewählt';
+$lang['No tag selected'] = 'Kein Stichwort ausgewählt';
+$lang['Date string is malformed'] = 'Datumsformat ungültig';
+$lang['Limit must be an integer'] = 'Limit muss eine Ganzzahl sein';
+$lang['You can\'t use more than one limit'] = 'Sie können nur ein Limit angeben';
+$lang['All these tags'] = 'Alle angeführten Stichwörter';
+$lang['One of these tags'] = 'Eines der angeführten Stichwörter';
+$lang['None of these tags'] = 'Keines der angeführten Stichwörter';
+$lang['Only these tags'] = 'Nur diese Stichwörter';
+$lang['Added on'] = 'Hinzugefügt am';
+$lang['Added before'] = 'Hinzugefügt vor';
+$lang['Added after'] = 'Hinzugefügt nach';
+$lang['Created on'] = 'Erstellt am';
+$lang['Created before'] = 'Erstellt vor';
+$lang['Created after'] = 'Erstellt nach';
+$lang['%d photo'] = '%d Foto';
+$lang['%d photos'] = '%d Fotos';
+$lang['tags filter'] = 'Stichwortfilter';
+$lang['date filter'] = 'Datumfilter';
+$lang['limit filter'] = 'Limitfilter';
+$lang['Add filters here'] = 'Filter hier einfügen';
+$lang['This album is a SmartAlbum'] = 'Dieses Album ist ein SmartAlbum';
+$lang['Count'] = 'Anzahl';
+$lang['Regenerate photos list of this SmartAlbum'] = 'Fotoliste für dieses SmartAlbum neu generieren';
+$lang['Regenerate photos list of all SmartAlbums'] = 'Fotolist für alle SmartAlben neu generieren';
+$lang['Update albums on file upload'] = 'Alben nach Dateiupload aktualisieren';
+$lang['(can cause slowdowns on admin pages)'] = '(kann die Administrationsseiten verlangsamen)';
+$lang['All SmartAlbums'] = 'Alle SmartAlben';
+$lang['Add a SmartAlbum'] = 'Neues SmartAlbum';
+$lang['SmartAlbum deleted'] = 'SmartAlbum löschen';
+$lang['SmartAlbum added'] = 'SmartAlbum erstellt';
+$lang['Only SmartAlbums are displayed on this page'] = 'Auf dieser Seite werden nur SmartAlben angezeigt';
+$lang['To order albums please go the main albums management page'] = 'Zum Sortieren von Alben besuchen Sie bitte die Verwaltungsseite für Alben <a href="admin.php?page=cat_list"></a>';
+$lang['Don\'t show this message again'] = 'Diese Nachricht nicht mehr anzeigen';
+
+?>