Index: /extensions/stripped_black_bloc/language/en_UK/index.php
===================================================================
--- /extensions/stripped_black_bloc/language/en_UK/index.php	(revision 11696)
+++ /extensions/stripped_black_bloc/language/en_UK/index.php	(revision 11696)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped_black_bloc/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped_black_bloc/language/en_UK/theme.lang.php	(revision 11696)
+++ /extensions/stripped_black_bloc/language/en_UK/theme.lang.php	(revision 11696)
@@ -0,0 +1,4 @@
+<?php
+
+$lang['Page'] = 'Page';
+?>
Index: /extensions/stripped_black_bloc/language/fr_FR/index.php
===================================================================
--- /extensions/stripped_black_bloc/language/fr_FR/index.php	(revision 11696)
+++ /extensions/stripped_black_bloc/language/fr_FR/index.php	(revision 11696)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php	(revision 11696)
+++ /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php	(revision 11696)
@@ -0,0 +1,4 @@
+<?php
+
+$lang['Page'] = 'Page';
+?>
Index: /extensions/stripped_black_bloc/language/index.php
===================================================================
--- /extensions/stripped_black_bloc/language/index.php	(revision 11696)
+++ /extensions/stripped_black_bloc/language/index.php	(revision 11696)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped_black_bloc/template/navigation_bar.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/navigation_bar.tpl	(revision 11695)
+++ /extensions/stripped_black_bloc/template/navigation_bar.tpl	(revision 11696)
@@ -1,4 +1,4 @@
 <div class="navigationBar">
-	<span class="nav_bulle">Page {$navbar.CURRENT_PAGE} / {$navbar.pages|@count}</span>
+	<span class="nav_bulle">{'Page'|@translate} {$navbar.CURRENT_PAGE} / {$navbar.pages|@count}</span>
   {if isset($navbar.URL_FIRST)}
   <a href="{$navbar.URL_FIRST}" rel="first" class="first nav_bulle">{'First'|@translate}</a>
Index: /extensions/stripped_black_bloc/themeconf.inc.php
===================================================================
--- /extensions/stripped_black_bloc/themeconf.inc.php	(revision 11695)
+++ /extensions/stripped_black_bloc/themeconf.inc.php	(revision 11696)
@@ -20,4 +20,8 @@
   'local_head' => 'local_head.tpl',
 );
+
+load_language('theme.lang', PHPWG_THEMES_PATH.'stripped_black_bloc/');
+
+
 add_event_handler('loc_end_index_category_thumbnails', 'MY');
 add_event_handler('loc_end_index_thumbnails', 'MY');
@@ -40,3 +44,25 @@
 	remove_event_handler('loc_begin_index', 'modify_nb_thumbnail_page');
 }
+
+/************************************ index.tpl ************************************/
+add_event_handler('loc_end_index', 'stripped_black_bloc_index');
+function stripped_black_bloc_index()
+{
+    global $template;
+    $template->set_prefilter('index', 'stripped_black_bloc_prefilter_index');
+}
+function stripped_black_bloc_prefilter_index($content, &$smarty)
+{
+  $search = '#\{if \!empty\(\$navbar\) \}[\s]*\{include file=\'navigation_bar\.tpl\'\|@get_extent:\'navbar\'\}[\s]*\{/if\}#';  
+  $replacement = '';
+  $content = preg_replace($search, $replacement, $content);
+
+  $search = '#<\!-- subContent -->#';  
+  $replacement = '<\!-- subContent -->
+	{if !empty($navbar) }
+		{include file=\'navigation_bar.tpl\'|@get_extent:\'navbar\'}
+	{/if}';
+  return preg_replace($search, $replacement, $content);
+}
+
 ?>