Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 11641)
+++ trunk/language/de_DE/admin.lang.php	(revision 11712)
@@ -71,5 +71,5 @@
 $lang['Delete selected tags'] = 'Lösche markierte Stichworte';
 $lang['Delete selected users'] = 'Lösche markierte Benutzer';
-$lang['Deletions'] = 'Entfernen';
+$lang['Deletions'] = 'Löschung';
 $lang['Deny selected groups'] = 'Ausgewählte Gruppen ablehnen';
 $lang['Deny selected users'] = 'Ausgewählte Benutzer ablehnen';
@@ -100,7 +100,7 @@
 $lang['Lock gallery'] = 'Blockiere den Zugriff auf die Datenbank';
 $lang['Maintenance'] = 'Wartung';
-$lang['Edit album permissions'] = 'Befugnisse für ein Album verwalten';
-$lang['Manage permissions for group "%s"'] = 'Verwalte die Zugriffsrechte für die Gruppe "%s"';
-$lang['Manage permissions for user "%s"'] = 'Verwalte die Zugriffsrechte für den Benutzer "%s"';
+$lang['Edit album permissions'] = 'Zugriffsrechte für ein privates Album verwalten';
+$lang['Manage permissions for group "%s"'] = 'Verwalte die Zugriffsrechte auf private Alben für die Gruppe "%s"';
+$lang['Manage permissions for user "%s"'] = 'Verwalte die Zugriffsrechte auf private Alben für den Benutzer "%s"';
 $lang['Manage tags'] = 'Verwalte Stichworte';
 $lang['Members'] = 'Mitglieder';
@@ -115,5 +115,5 @@
 $lang['Number of rates'] = 'Anzahl von Bewertungen';
 $lang['Number of thumbnails to create'] = 'Anzahl von zu erstellenden Vorschaubildern';
-$lang['Only private albums are listed'] = 'Nur als privat markierte Alben werden aufgelistet';
+$lang['Only private albums are listed'] = 'Nur als "privat" markierte Alben werden aufgelistet.';
 $lang['Operating system'] = 'Betriebssystem';
 $lang['Options'] = 'Optionen';
@@ -128,6 +128,6 @@
 $lang['Permalink history'] = 'Permalink-Historie';
 $lang['Permalinks'] = 'Permalinks';
-$lang['Permission denied'] = 'Zugriff verweigern';
-$lang['Permission granted thanks to a group'] = 'Benutzern durch Zugehörigkeit in einer Gruppe Zugriff erlaubt';
+$lang['Permission denied'] = 'Zugriff verweigert';
+$lang['Permission granted thanks to a group'] = 'Benutzern durch Zugehörigkeit in einer Gruppe ist der Zugriff erlaubt';
 $lang['Permission granted'] = 'Zugriff erlaubt';
 $lang['Photo informations updated'] = 'Fotoinformationen aktualisiert';
@@ -178,14 +178,14 @@
 $lang['Associate to album'] = 'Mit einem Album verbinden';
 $lang['associate to group'] = 'Mit Gruppe verbinden';
-$lang['Authorized'] = 'Freigegebene Kategorien';
+$lang['Authorized'] = 'Zugriff erlaubt';
 $lang['Add a virtual album'] = 'Virtuelles Album hinzufügen';
 $lang['Authorize users to add comments on selected albums'] = 'Benutzern erlauben, in ausgewählten Alben Kommentare zu schreiben';
 $lang['The name of an album must not be empty'] = 'Der Name eines Albums darf nicht leer sein.';
-$lang['Lock albums'] = 'Album schließen';
-$lang['Private'] = 'Privates Album';
-$lang['Public'] = 'Öffentliches Album';
+$lang['Lock albums'] = 'Alben sperren';
+$lang['Private'] = 'Privat';
+$lang['Public'] = 'Öffentlich';
 $lang['Find a new representant by random'] = 'Bestimme ein neues zufälliges Vorschaubild';
 $lang['Public / Private'] = 'Öffentlich / Privat';
-$lang['Manage authorizations for selected albums'] = 'Berechtigungen für ausgewählte Alben verwalten';
+$lang['Manage authorizations for selected albums'] = 'Zugriffsrechte durch private Alben verwalten';
 $lang['Virtual album added'] = 'Virtuelles Album hinzugefügt';
 $lang['Virtual album deleted'] = 'Virtuelles Album entfernt';
@@ -203,5 +203,5 @@
 $lang['Dissociate from album'] = 'Von Album abtrennen';
 $lang['dissociate from group'] = 'Von Gruppe abtrennen';
-$lang['edit album permissions'] = 'Albumberechtigungen bearbeiten';
+$lang['edit album permissions'] = 'Zugriffsrechte auf das Album bearbeiten';
 $lang['Album updated successfully'] = 'Informationen des Albums wurden erfolgreich aktualisiert.';
 $lang['photos per page'] = 'Fotos je Seite';
@@ -210,5 +210,5 @@
 $lang['Filesize'] = 'Dateigröße';
 $lang['first photo added on %s'] = 'erstes Foto am %s hinzugefügt';
-$lang['Forbidden'] = 'Gesperrte Kategorien';
+$lang['Forbidden'] = 'Zugriff verweigert';
 $lang['global mode'] = 'Globaler Modus';
 $lang['group "%s" added'] = 'Gruppe "%s" hinzugefügt';
@@ -222,6 +222,6 @@
 $lang['jump to photo'] = 'springe zu Foto';
 $lang['leave'] = 'Beibehalten';
-$lang['Lock'] = 'Schließen';
-$lang['Locked'] = 'Geschlossen';
+$lang['Lock'] = 'Sperren';
+$lang['Locked'] = 'Gesperrt';
 $lang['manage album photos'] = 'verwalte Fotos im Album';
 $lang['manage sub-albums'] = 'Verwalten Sie die Sub-Alben';
@@ -299,5 +299,5 @@
 $lang['Available only with HTML format'] = 'Nur verfügbar, wenn die Benachrichtigungen im HTML-Format verschickt werden';
 $lang['no write access'] = 'kein Schreibzugriff';
-$lang['Permissions'] = 'Berechtigungen';
+$lang['Permissions'] = 'Zugriffsrechte';
 $lang['private'] = 'private';
 $lang['public'] = 'öffentlich';
@@ -334,5 +334,5 @@
 $lang['sub-albums'] = 'Sub-Album';
 $lang['synchronize metadata'] = 'Synchronisieren von Meta-Daten';
-$lang['target'] = 'Ziel';
+$lang['target'] = 'Ziel:';
 $lang['Thumbnail'] = 'Vorschaubild';
 $lang['title'] = 'Titel';
@@ -340,6 +340,6 @@
 $lang['Piwigo configuration'] = 'Konfiguration der Piwigo';
 $lang['Edit album'] = 'Einen Album bearbeiten';
-$lang['Group management'] = 'Verwalten von Gruppen';
-$lang['User list'] = 'Liste der Benutzer';
+$lang['Group management'] = 'Gruppenliste und -verwaltung';
+$lang['User list'] = 'Benutzerliste und -verwaltung';
 $lang['Edit photo information'] = 'Bearbeite Fotoinformation';
 $lang['Thumbnail creation'] = 'Erstellung von Vorschaubildern';
@@ -410,12 +410,12 @@
 $lang['User status'] = 'Status des Benutzers';
 $lang['user_status_admin'] = 'Administrator';
-$lang['user_status_generic'] = 'Allgemein';
+$lang['user_status_generic'] = 'Generischer Status';
 $lang['user_status_guest'] = 'Gast';
-$lang['user_status_normal'] = 'Besucher';
+$lang['user_status_normal'] = 'Benutzer';
 $lang['user_status_webmaster'] = 'Webmaster';
 $lang['Virtual album'] = 'Virteller Album';
 $lang['Waiting'] = 'Wartend auf Freigabe';
 $lang['default'] = 'Standard';
-$lang['Toggle \'default group\' property'] = 'Setzt die Gruppe als Standartgruppe. (Neu registrierte Benutzer gehören automatisch dieser Gruppe an!)';
+$lang['Toggle \'default group\' property'] = 'Setzt die Gruppe als Standardgruppe. (Neu registrierte Benutzer gehören automatisch dieser Gruppe an!)';
 $lang['Advanced features'] = 'Erweiterte Einstellungen';
 $lang['Specials'] = 'Erweiterte Auswahl';
@@ -491,6 +491,6 @@
 $lang['Hoverbox display'] = 'Anzeige beim überflug';
 $lang['Mail address is obligatory for all users'] = 'Die Angabe einer gültigen E-Mail-Adresse ist für alle Benutzer verpflichtend';
-$lang['Minimum privacy level'] = 'minimale Privatsphärenebene';
-$lang['Privacy level'] = 'Privatsphärenebene';
+$lang['Minimum privacy level'] = 'Minimale Datenschutzstufe';
+$lang['Privacy level'] = 'Datenschutzstufe';
 $lang['Level 0'] = '---';
 $lang['Level 1'] = 'Kontakt';
@@ -525,5 +525,5 @@
 $lang['Can\'t read or extract archive.'] = 'Kann das Archiv nicht lesen oder entpacken.';
 $lang['An error occured during extraction (%s).'] = 'Fehler beim entpacken des Archives(%s).';
-$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'überprüfen Sie die Berechtigungen des Ordners "Plugins" und dessen Unterordner (CHMOD).';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Überprüfen Sie die Berechtigungen des Ordners "Plugins" und dessen Unterordner (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Es konnte keine Verbindung zum Server hergestellt werden.';
 $lang['Purge compiled templates'] = 'Löschen der kompilierten Templates';
@@ -601,5 +601,5 @@
 $lang['Add New Theme'] = 'Füge ein neues Thema hinzu';
 $lang['Forbid this theme to users'] = 'Verbieten Sie dieses Thema den Benutzern';
-$lang['Set as default theme for unregistered and new users'] = 'Setzte als Standardthema für unregistrierte und neue Benutzer';
+$lang['Set as default theme for unregistered and new users'] = 'Setze als Standardthema für unregistrierte und neue Benutzer';
 $lang['unknown'] = 'unbekannt';
 $lang['Upload Photos'] = 'Lade Fotos hoch';
@@ -614,5 +614,5 @@
 $lang['Uploaded Photos'] = 'Lade Fotos hoch';
 $lang['%d photos uploaded'] = '%d Fotos hochgeladen';
-$lang['Privacy level set to "%s"'] = 'Privatsphärenebene gesetzt auf "%s"';
+$lang['Privacy level set to "%s"'] = 'Datenschutzstufe auf "%s" gesetzt';
 $lang['Album "%s" now contains %d photos'] = 'Das Album "%s" enthält nun %d Fotos';
 $lang['Manage this set of %d photos'] = 'Verwalte dieses Set von %d Fotos';
@@ -702,6 +702,6 @@
 $lang['Make this language available to users'] = 'Aktiviere diese Sprache für Benutzer';
 $lang['Set as default language for unregistered and new users'] = 'Als Standardsprache für neue und unregistrierte User festlegen';
-$lang['delete'] = 'lösche';
-$lang['Add Photos'] = 'Füge Fotos hinzu';
+$lang['delete'] = 'Löschen:';
+$lang['Add Photos'] = 'Fotos hinzufügen';
 $lang['The following tag was deleted'] = 'Folgendes Stichwort wurde gelöscht';
 $lang['There is no other language available.'] = 'Es ist keine weitere Sprache verfügbar.';
@@ -806,5 +806,5 @@
 $lang['Default photos order'] = 'Voreingestellte Fotoanordnung';
 $lang['Restore'] = 'Zurücksetzen';
-$lang['Restore default configuration. You will lose your plugin settings!'] = 'Zurücksetzen auf Standartkonfiguration. Alle Einstellungen in diesem Plugin gehen verloren!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Zurücksetzen auf Standardkonfiguration. Alle Einstellungen in diesem Plugin gehen verloren!';
 $lang['Show menubar'] = 'Zeige die Menübar';
 $lang['Updates'] = 'Aktualisierungen';
@@ -842,5 +842,5 @@
 $lang['Graphics Library'] = ' Grafikbibliothek';
 $lang['Add a criteria'] = 'Ein Kriterium hinzufügen'; 
-$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = ' Sie können keine Standartsortierung festlegen da Sie eine benutzerdefinierte Einstellung in Ihrer lokalen Konfiguration festgelegt haben.';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = ' Sie können keine Standardsortierung festlegen da Sie eine benutzerdefinierte Einstellung in Ihrer lokalen Konfiguration festgelegt haben.';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Sie haben <i>$conf[\'order_by\']</i> in ihrer lokalen Konfigurationsdatei festgelegt, dieser Parameter wird abgelehnt, bitte entfernen sie ihn oder benennen sie ihn um in <i>$conf[\'order_by_custom\']</i> !';
 