Index: /extensions/pLoader/trunk/locale/sv_SE/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/sv_SE/pLoader.po	(revision 11725)
+++ /extensions/pLoader/trunk/locale/sv_SE/pLoader.po	(revision 11725)
@@ -0,0 +1,250 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-02-14 11:36+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: Jonas Novesten <Jonas@novesund.se>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-Language: Swedish\n"
+"X-Poedit-Country: SWEDEN\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+#: d:/pLoader/res/global_settings_wdr.pl:34
+msgid "Default author :"
+msgstr "standard upphovsman :"
+
+#: d:/pLoader/res/global_settings_wdr.pl:40
+msgid "Photo name  prefix :"
+msgstr "Bild prefix :"
+
+#: d:/pLoader/res/global_settings_wdr.pl:46
+msgid "Site thumbnail size :"
+msgstr "Sajt miniatyrstorlek :"
+
+#: d:/pLoader/res/global_settings_wdr.pl:52
+msgid "Site image width :"
+msgstr "Webbplats bildbredd"
+
+#: d:/pLoader/res/global_settings_wdr.pl:58
+msgid "Site image height :"
+msgstr "Webbplats bildhöjden"
+
+#: d:/pLoader/res/global_settings_wdr.pl:64
+msgid "Auto rotate image"
+msgstr "Automatiskt rotera bilder"
+
+#: d:/pLoader/res/global_settings_wdr.pl:68
+msgid "Upload high (original size) "
+msgstr "Ladda upp stor (ursprunglig storlek)"
+
+#: d:/pLoader/res/global_settings_wdr.pl:65
+msgid "Yes"
+msgstr "Ja"
+
+#: d:/pLoader/res/global_settings_wdr.pl:65
+msgid "No"
+msgstr "Nej"
+
+#: d:/pLoader/res/login_wdr.pl:38
+msgid "Piwigo url :"
+msgstr "Piwigo url :"
+
+#: d:/pLoader/res/login_wdr.pl:44
+msgid "Admin. username :"
+msgstr "Admin. Användarnamn :"
+
+#: d:/pLoader/res/login_wdr.pl:50
+msgid "Admin. password :"
+msgstr "Admin. lösenord :"
+
+#: d:/pLoader/res/login_wdr.pl:64
+msgid "OK"
+msgstr "Godkänna"
+
+#: d:/pLoader/res/login_wdr.pl:68
+msgid "Cancel"
+msgstr "Avbryt"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:37
+#: d:/pLoader/res/photo_properties_wdr.pl:61
+msgid "Create date :"
+msgstr "Date de création :"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:43
+msgid "Width :"
+msgstr "bredd :"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:49
+msgid "Height :"
+msgstr "Höjd :"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:55
+msgid "Orientation :"
+msgstr "Inriktning "
+
+#: d:/pLoader/res/photo_exif_wdr.pl:67
+msgid "Shutter speed :"
+msgstr "Slutartid :"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:73
+msgid "Aperture :"
+msgstr "Bländare :"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:79
+msgid "Focal length :"
+msgstr "Brännvidd :"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:85
+msgid "Model :"
+msgstr "Modell :"
+
+#: d:/pLoader/res/photo_exif_wdr.pl:91
+msgid "Lens :"
+msgstr "OBJEKTIV :"
+
+#: d:/pLoader/res/photo_properties_wdr.pl:43
+msgid "Author :"
+msgstr "Fotograf :"
+
+#: d:/pLoader/res/photo_properties_wdr.pl:49
+msgid "Photo name :"
+msgstr "Bild namn :"
+
+#: d:/pLoader/res/photo_properties_wdr.pl:55
+msgid "Comment :"
+msgstr "Kommentar :"
+
+msgid "French"
+msgstr "Franska"
+
+msgid "English"
+msgstr "Engelska"
+
+msgid "Russian"
+msgstr "Ryska"
+
+msgid "Italian"
+msgstr "Italienska"
+
+msgid "German"
+msgstr "Tyska"
+
+msgid "Spanish"
+msgstr "Spanska"
+
+msgid "Portuguese"
+msgstr "Portugisiska"
+
+msgid "Dutch"
+msgstr "Nederländska"
+
+msgid "Polish"
+msgstr "Polska"
+
+#: wxFrameAUI.pm:55
+msgid "Piwigo categories"
+msgstr "Piwigo kategorier"
+
+#: wxFrameAUI.pm:650
+msgid "Photo properties"
+msgstr "Bild egenskaper"
+
+#: wxFrameAUI.pm:639
+msgid "Tools"
+msgstr "Verktyg"
+
+#: wxFrameAUI.pm:756
+msgid "Global settings"
+msgstr "Globala inställningar"
+
+#: wxFrameAUI.pm:705
+msgid "Photo selection"
+msgstr "Bild val"
+
+#: wxFrameAUI.pm:1635
+msgid "Language choice"
+msgstr "Språkval"
+
+#: wxFrameAUI.pm:1635
+msgid "Choose a language"
+msgstr "Välj ett språk"
+
+#: wxFrameAUI.pm:1635
+msgid "Upload to Piwigo"
+msgstr "Ladda upp till Piwigo"
+
+#: wxFrameAUI.pm:1635
+msgid "Remove photo from selection"
+msgstr "Ta bort foton från urvalet"
+
+#: wxFrameAUI.pm:1635
+msgid "Add photo to selection"
+msgstr "Lägg foto till urvalet"
+
+#: wxFrameAUI.pm:1635
+msgid "Not connected"
+msgstr "Inte ansluten"
+
+msgid "Connection to"
+msgstr "Ansluten till"
+
+msgid "failed"
+msgstr "misslyckades"
+
+msgid "Piwigo login"
+msgstr "Piwigo inloggning"
+
+msgid "Piwigo login error"
+msgstr "Piwigo inloggning fel"
+
+msgid "Please select a valid target category"
+msgstr "Välj en giltig kategori"
+
+msgid "Piwigo upload error"
+msgstr "Piwigo uppladdnings fel"
+
+msgid "Category name :"
+msgstr "Kategori namn:"
+
+msgid "Add new category"
+msgstr "Lägg till ny kategori"
+
+msgid "New category"
+msgstr "Ny kategori"
+
+msgid "Upload cancelled"
+msgstr "Överföring avbröts"
+
+msgid "Image upload progress information"
+msgstr "Bild uppladdning information"
+
+msgid "Cancel upload"
+msgstr "Avbryt överförning"
+
+msgid "Piwigo upload information"
+msgstr "Från:Till:Översättning från engelska till svenskaPiwigo uppladdnings information"
+
+msgid "Processing"
+msgstr "Bearbetning"
+
+msgid "images processed"
+msgstr "bilder bearbetas"
+
+msgid "images uploaded"
+msgstr "uppladdade bilder"
+
+msgid "images in errors and not uploaded"
+msgstr "bilder med fel och ej laddats upp"
+
+msgid "Duration"
+msgstr "Varaktighet"
+
+msgid "Categories"
+msgstr "Kategorier"
+