Index: /extensions/photoWidget/include/photoWidgetContent.class.php
===================================================================
--- /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 11751)
+++ /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -43,5 +43,5 @@
 
     $match_content = $_SERVER['QUERY_STRING'];
-    if (PHPWG_ROOT_PATH != $page['root_path']) {
+    if (PHPWG_ROOT_PATH != $page['root_path'] && !empty($_SERVER['PATH_INFO'])) {
       $match_content = $_SERVER['PATH_INFO'];
     }
Index: /extensions/photoWidget/language/ar_SA/index.php
===================================================================
--- /extensions/photoWidget/language/ar_SA/index.php	(revision 11751)
+++ /extensions/photoWidget/language/ar_SA/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/cs_CZ/index.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/index.php	(revision 11751)
+++ /extensions/photoWidget/language/cs_CZ/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/de_DE/index.php
===================================================================
--- /extensions/photoWidget/language/de_DE/index.php	(revision 11751)
+++ /extensions/photoWidget/language/de_DE/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/en_UK/index.php
===================================================================
--- /extensions/photoWidget/language/en_UK/index.php	(revision 11751)
+++ /extensions/photoWidget/language/en_UK/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/es_ES/index.php
===================================================================
--- /extensions/photoWidget/language/es_ES/index.php	(revision 11751)
+++ /extensions/photoWidget/language/es_ES/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/fr_FR/index.php
===================================================================
--- /extensions/photoWidget/language/fr_FR/index.php	(revision 11751)
+++ /extensions/photoWidget/language/fr_FR/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/hu_HU/index.php
===================================================================
--- /extensions/photoWidget/language/hu_HU/index.php	(revision 11751)
+++ /extensions/photoWidget/language/hu_HU/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/it_IT/index.php
===================================================================
--- /extensions/photoWidget/language/it_IT/index.php	(revision 11751)
+++ /extensions/photoWidget/language/it_IT/index.php	(revision 11752)
@@ -1,9 +1,7 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -18,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/lv_LV/index.php
===================================================================
--- /extensions/photoWidget/language/lv_LV/index.php	(revision 11751)
+++ /extensions/photoWidget/language/lv_LV/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/nl_NL/index.php
===================================================================
--- /extensions/photoWidget/language/nl_NL/index.php	(revision 11751)
+++ /extensions/photoWidget/language/nl_NL/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/no_NO/index.php
===================================================================
--- /extensions/photoWidget/language/no_NO/index.php	(revision 11751)
+++ /extensions/photoWidget/language/no_NO/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/pl_PL/index.php
===================================================================
--- /extensions/photoWidget/language/pl_PL/index.php	(revision 11751)
+++ /extensions/photoWidget/language/pl_PL/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/ru_RU/index.php
===================================================================
--- /extensions/photoWidget/language/ru_RU/index.php	(revision 11751)
+++ /extensions/photoWidget/language/ru_RU/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/sk_SK/index.php
===================================================================
--- /extensions/photoWidget/language/sk_SK/index.php	(revision 11751)
+++ /extensions/photoWidget/language/sk_SK/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/language/tr_TR/index.php
===================================================================
--- /extensions/photoWidget/language/tr_TR/index.php	(revision 11751)
+++ /extensions/photoWidget/language/tr_TR/index.php	(revision 11752)
@@ -3,5 +3,5 @@
 // | pwgPhotoWidget  - a plugin for Piwigo                                 |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/photoWidget/main.inc.php
===================================================================
--- /extensions/photoWidget/main.inc.php	(revision 11751)
+++ /extensions/photoWidget/main.inc.php	(revision 11752)
@@ -22,5 +22,5 @@
 /*
 Plugin Name: photoWidget
-Version: 0.3.0
+Version: 0.3.1
 Description: add an amazing 3D animation for pictures
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=370