Index: /extensions/exif_view/language/fr_FR/description.txt
===================================================================
--- /extensions/exif_view/language/fr_FR/description.txt	(revision 11758)
+++ /extensions/exif_view/language/fr_FR/description.txt	(revision 11758)
@@ -0,0 +1,1 @@
+Convertit les noms de valeurs 'EXIF' dans la langue du pays. Correspond à la spécification EXIF 2.2, les détails dans http://www.exif.org. Facilement extensible.
Index: /extensions/exif_view/language/pl_PL/description.txt
===================================================================
--- /extensions/exif_view/language/pl_PL/description.txt	(revision 11758)
+++ /extensions/exif_view/language/pl_PL/description.txt	(revision 11758)
@@ -0,0 +1,1 @@
+Konwertuje tagi EXIF do bardziej czytelnego formatu. Zgodne z specyfikacją EXIF 2.2, więcej: http://www.exif.org. Łatwy do rozbudowy. 
Index: /extensions/exif_view/language/pl_PL/index.php
===================================================================
--- /extensions/exif_view/language/pl_PL/index.php	(revision 11758)
+++ /extensions/exif_view/language/pl_PL/index.php	(revision 11758)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4660 2010-01-10 15:56:41Z ddtddt $
+// | last update   : $Date: 2010-01-10 16:56:41 +0100 (dim., 10 janv. 2010) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4660 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/exif_view/language/pl_PL/lang.exif.php
===================================================================
--- /extensions/exif_view/language/pl_PL/lang.exif.php	(revision 11758)
+++ /extensions/exif_view/language/pl_PL/lang.exif.php	(revision 11758)
@@ -0,0 +1,86 @@
+<?php
+
+global $lang;
+
+$lang['exif_field_Contrast'] = 'Kontrast';
+$lang['exif_field_DateTimeOriginal'] = 'Czas oryginału';
+$lang['exif_field_DigitalZoomRatio'] = 'Zoom cyfrowy';
+$lang['exif_field_ExifVersion'] = 'EXIF';
+$lang['exif_field_ExposureBiasValue'] = 'Kompensacja ekspozycji';
+$lang['exif_field_ExposureMode'] = 'Tryb ekspozycji';
+$lang['exif_field_ExposureProgram'] = 'Program ekspozycji';
+$lang['exif_field_ExposureTime'] = 'Czas ekspozycji';
+$lang['exif_field_FNumber'] = 'Przesłona';
+$lang['exif_field_Flash'] = 'Flesz';
+$lang['exif_field_FocalLength'] = 'Ogniskowa';
+$lang['exif_field_FocalLengthIn35mmFilm'] = 'Ogniskowa dla 35mm';
+$lang['exif_field_ISOSpeedRatings'] = 'ISO';
+$lang['exif_field_LightSource'] = 'Źródło światła';
+$lang['exif_field_Make'] = 'Producent';
+$lang['exif_field_MeteringMode'] = 'Tryb pomiaru ekspozycji';
+$lang['exif_field_Model'] = 'Model';
+$lang['exif_field_Saturation'] = 'Saturacja';
+$lang['exif_field_Sharpness'] = 'Ostrość';
+$lang['exif_field_Software'] = 'Oprogramowanie';
+$lang['exif_field_WhiteBalance'] = 'Balans bieli';
+$lang['exif_value_contrast_hard'] = 'duży';
+$lang['exif_value_contrast_normal'] = 'normalny';
+$lang['exif_value_contrast_soft'] = 'mały';
+$lang['exif_value_exposure_mode_auto'] = 'auto';
+$lang['exif_value_exposure_mode_auto_bracket'] = 'auto bracket';
+$lang['exif_value_exposure_mode_manual'] = 'ręczny';
+$lang['exif_value_exposure_program_action'] = 'akcja';
+$lang['exif_value_exposure_program_aperture'] = 'Priorytet przesłony';
+$lang['exif_value_exposure_program_creative'] = 'kreatywny';
+$lang['exif_value_exposure_program_landscape'] = 'krajobraz';
+$lang['exif_value_exposure_program_manual'] = 'manualny';
+$lang['exif_value_exposure_program_normal'] = 'normalny';
+$lang['exif_value_exposure_program_not_defined'] = 'nie zdefiniowany';
+$lang['exif_value_exposure_program_portrait'] = 'portret';
+$lang['exif_value_exposure_program_shutter'] = 'Priorytet migawki';
+$lang['exif_value_flash_mode'] = 'tryb';
+$lang['exif_value_flash_mode_auto'] = 'auto';
+$lang['exif_value_flash_mode_compulsory'] = 'wymuszony';
+$lang['exif_value_flash_mode_supress'] = 'wyłączony';
+$lang['exif_value_flash_mode_unknown'] = 'nieznany';
+$lang['exif_value_flash_return_light_detected'] = 'przedbłyski wykryte';
+$lang['exif_value_flash_return_light_not_detected'] = 'przedbłyski nie wykryte';
+$lang['exif_value_light_source_D50'] = 'D50';
+$lang['exif_value_light_source_D55'] = 'D55';
+$lang['exif_value_light_source_D65'] = 'D65';
+$lang['exif_value_light_source_D75'] = 'D75';
+$lang['exif_value_light_source_cloudy_weather'] = 'pochmurna pogoda';
+$lang['exif_value_light_source_coolwhite_fluorescent_w'] = 'ciepły (W 3900 - 4500K)';
+$lang['exif_value_light_source_daylight'] = 'światło naturalne';
+$lang['exif_value_light_source_daylight_fluorescent_d'] = 'fluorescencyjne (D 5700 - 7100K)';
+$lang['exif_value_light_source_daywhite_fluorescent_n'] = 'fluorescencyjne (N 4600 - 5400K)';
+$lang['exif_value_light_source_fine_weather'] = 'pogodny dzień';
+$lang['exif_value_light_source_flash'] = 'flesz';
+$lang['exif_value_light_source_fluorescent'] = 'fluorescencyjne';
+$lang['exif_value_light_source_iso_studio_tungsten'] = 'światło żarowe';
+$lang['exif_value_light_source_other'] = 'inne';
+$lang['exif_value_light_source_shade'] = 'cień';
+$lang['exif_value_light_source_standard_light_a'] = 'standardowe światło A';
+$lang['exif_value_light_source_standard_light_b'] = 'standardowe światło B';
+$lang['exif_value_light_source_standard_light_c'] = 'standardowe światło C';
+$lang['exif_value_light_source_tungsten'] = 'światło żarowe';
+$lang['exif_value_light_source_unknown'] = 'nieznane';
+$lang['exif_value_light_source_white_fluorescent'] = 'świetlówka (WW 3200 - 3700K)';
+$lang['exif_value_metering_mode_CenterWeightedAVG'] = 'centralnie ważony';
+$lang['exif_value_metering_mode_average'] = 'uśredniony';
+$lang['exif_value_metering_mode_multispot'] = 'wielosegmentowy';
+$lang['exif_value_metering_mode_partial'] = 'częściowy';
+$lang['exif_value_metering_mode_pattern'] = 'matrycowy';
+$lang['exif_value_metering_mode_spot'] = 'punktowy';
+$lang['exif_value_metering_mode_unknown'] = 'nieznany';
+$lang['exif_value_red_eye'] = 'redukcja czerwonych oczu';
+$lang['exif_value_saturation_hard'] = 'wysoka';
+$lang['exif_value_saturation_low'] = 'niska';
+$lang['exif_value_saturation_normal'] = 'normalna';
+$lang['exif_value_sharpness_hard'] = 'wysoka';
+$lang['exif_value_sharpness_normal'] = 'normalna';
+$lang['exif_value_sharpness_soft'] = 'niska';
+$lang['exif_value_white_balance_auto'] = 'automatyczny';
+$lang['exif_value_white_balance_manual'] = 'ręczny'; 
+
+?>