Index: /extensions/Shadogo/trunk/language/lv_LV/description.txt
===================================================================
--- /extensions/Shadogo/trunk/language/lv_LV/description.txt	(revision 11766)
+++ /extensions/Shadogo/trunk/language/lv_LV/description.txt	(revision 11766)
@@ -0,0 +1,1 @@
+Rādīt attēlus, video un piwigo lapas, izmantojot modālo pārklājumu.
Index: /extensions/Shadogo/trunk/language/lv_LV/index.php
===================================================================
--- /extensions/Shadogo/trunk/language/lv_LV/index.php	(revision 11766)
+++ /extensions/Shadogo/trunk/language/lv_LV/index.php	(revision 11766)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Shadogo - plugin for piwigo, a PHP based photo gallery                |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2011 BinaryWorld      http://binaryworld.hd.free.fr |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Shadogo/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Shadogo/trunk/language/lv_LV/plugin.lang.php	(revision 11766)
+++ /extensions/Shadogo/trunk/language/lv_LV/plugin.lang.php	(revision 11766)
@@ -0,0 +1,52 @@
+<?php
+//
+// Piwishado Administration Form
+//
+$lang['shadogo_overlaylibs'] = 'Izvēlēties modālā pārklājuma bibliotēku';
+$lang['shadogo_overlaythemes'] = 'Pārklājuma loga tēma';
+$lang['shadogo_display_expert_params'] = 'Rādīt speciālos parametrus';
+
+$lang['shadogo_overlay_config'] = 'Pārklājuma loga konfigurācija';
+$lang['shadogo_overlay_hdpicture'] = 'Iespējot HD attēlu';
+$lang['shadogo_overlay_download'] = 'Iespējot HD attēla lejupielādi';
+$lang['shadogo_overlay_addtobasket'] = 'Iespējot groza pārvaldību';
+$lang['shadogo_overlay_favorites'] = 'Iespējot favorītu pārvaldību';
+
+$lang['shadogo_mediaplayer_config'] = 'Mēdiju atskaņotāju konfigurācija';
+$lang['shadogo_mediaplayer_content'] = 'Rādīt atskaņotāju satura lapā';
+$lang['shadogo_mediafile_pattern'] = 'Mēdiju faila paraugs (veidne)';
+
+$lang['shadogo_hdcontent_config'] = 'HD satura konfigurācija';
+$lang['shadogo_hdcontent_inoverlay'] = 'Rādīt HD saturu pārklājuma logā';
+$lang['shadogo_hdcontent_pattern'] = 'HD satura veidne';
+$lang['shadogo_hdcontent_replacement'] = 'HD koda aizvietošana';
+
+$lang['shadogo_slideshow_config'] = 'Slīdrādes konfigurācija';
+$lang['shadogo_slideshow_inoverlay'] = 'Rādīt slīdrādi pārklājuma logā';
+$lang['shadogo_slideshow_pattern'] = 'Slīdrādes veidne';
+$lang['shadogo_slideshow_replacement'] = 'Slīdrādes koda aizvietošana';
+
+$lang['shadogo_thumbnail_config'] = 'Sīkbilžu konfigurācija';
+$lang['shadogo_thumbnail_content_inoverlay'] = 'Rādīt sīkbilžu saturu pārklājuma logā';
+$lang['shadogo_thumbnail_player_icon'] = 'Rādīt atskaņotāja ikonu leģendā';
+$lang['shadogo_thumbnail_content_icon'] = 'Rādīt satura ikonu leģendā';
+$lang['shadogo_thumbnail_contentpage_inoverlay'] = 'Rādīt satura lapu pārklājuma logā';
+$lang['shadogo_thumbnail_label'] = 'Rādīt sīkbilžu marķējumu (label)';
+$lang['shadogo_thumbnail_buttons_search'] = 'Veidnes kods, kas aizvietojams ar thumbnail_shadogo_buttons.tpl faila saturu';
+$lang['shadogo_thumbnail_hrefcontent_search'] = 'Veidnes kods, kas aizvietojams ar thumbnail_shadogo_content.tpl faila saturu';
+
+
+$lang['shadogo_save'] = 'Saglabāt';
+$lang['shadogo_cancel'] = 'Atcelt';
+$lang['shadogo_restore'] = 'Atjaunot noklusējuma vērtības';
+
+$lang['shadogo_note_warm_restore'] = 'Lūdzu neaizmirstiet saglabāt atjaunoto konfigurāciju.';
+
+//
+// ALT
+//
+$lang['shadogo_content'] = 'Skatīt saturu';
+$lang['shadogo_play'] = 'Rādīt';
+
+
+?>