Index: extensions/gally/gally-default/language/hu_HU/index.php
===================================================================
--- extensions/gally/gally-default/language/hu_HU/index.php	(revision 11801)
+++ extensions/gally/gally-default/language/hu_HU/index.php	(revision 11801)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/gally/gally-default/language/hu_HU/theme.lang.php
===================================================================
--- extensions/gally/gally-default/language/hu_HU/theme.lang.php	(revision 11801)
+++ extensions/gally/gally-default/language/hu_HU/theme.lang.php	(revision 11801)
@@ -0,0 +1,70 @@
+<?php
+
+$lang['gally_action_ok'] = 'Művelet sikeres';
+$lang['gally_action_ko'] = 'Művelet sikertelen';
+
+$lang['gally_save_local_conf'] = 'Beállítások mentése';
+
+$lang['gally_img_high_res'] = 'Kép/Nagy felbontás';
+$lang['gally_img_interface'] = 'Kép/Interfész';
+$lang['gally_img_other'] = 'Kép/Egyéb';
+
+$lang['gally_img_high_res_desc'] = 'Ez az oldal lehetővé teszi a felhasználó interfész tulajdonságainak meghatározását nagy felbontás nézet közben';
+$lang['gally_img_interface_desc'] = ' Ez az oldal lehetővé teszi a felhasználó interfész tulajdonságainak meghatározását fotó nézet közben';
+$lang['gally_img_other_desc'] = 'Ez az oldal lehetővé teszi a felhasználó interfész különböző tulajdonságainak meghatározását fotó nézet közben';
+
+$lang['gally_default_zoom_size'] = 'Alapértelmezett nagyítás méret';
+$lang['gally_default_zoom_size_desc'] = 'Ez az opció állítja be az alapértelmezett nézet stílust, egy nagy felbontású kép betöltésekor';
+$lang['gally_defaultZoomSize_full'] = 'Tényleges méret (ha a kép nem fér el a képernyőn, lehetőség van a vízszintes és függőleges gördítésre)';
+$lang['gally_defaultZoomSize_fit'] = 'A kép át van méretezve, hogy teljesen kitölthesse a képernyőt';
+$lang['gally_display_high_res_icon'] = 'Ikon az eszköztáron';
+$lang['gally_display_high_res_icon_desc'] = 'Ha van nagy felbontású verziója a képnek, egy ikont jelenít meg az eszköztáron';
+$lang['gally_displayHighResIcon_yes'] = 'Ikon megjelenítése';
+$lang['gally_displayHighResIcon_no'] = 'Ne jelenítse meg az ikont';
+$lang['gally_display_high_res_click_mode'] = 'Művelet kapcsolása a nagy felbontású képhez';
+$lang['gally_display_high_res_click_mode_desc'] = 'Ez az opció határozza meg az interfész viselkedését a nagy felbontású képre kattintva.';
+$lang['gally_highResClickMode_zoom'] = 'A nagyítás típusának módosítása (Aktuális méretActual / átméretezve)';
+$lang['gally_highResClickMode_close'] = 'Megjelenítés bezárása nagy felbontáskor';
+
+$lang['gally_interface_on_image'] = 'Kijelző megjelenítő';
+$lang['gally_interface_on_image_desc'] = 'Ez az opció határozza meg, ha a kurzort a kép fölé irányítjuk, akkor megjelenik-e az interfész';
+$lang['gally_interface_on_image_always'] = 'Mindig';
+$lang['gally_interface_on_image_noscroll'] = 'Csak akkor, ha a kép nem szélesvásznú';
+$lang['gally_interface_on_image_never'] = 'Soha';
+
+$lang['gally_image_interface_hidden'] = 'Megjelenítés az oldal betöltésekor';
+$lang['gally_image_interface_hidden_desc'] = 'Ez az opció beállítja, hogy az interfész megjelenjen az oldal töltés közben.';
+$lang['gally_image_interface_hidden_no'] = 'Az interfész látható az oldal töltése közben';
+$lang['gally_image_interface_hidden_yes'] = 'Az interfész nem látható az oldal töltése közbenThe interface is not visible on page load, az első eseménykor jelenik meg';
+
+$lang['gally_interface_timer_delay'] = 'Időtullépés';
+$lang['gally_interface_timer_delay_desc'] = 'Ez az opció határozza meg a szükséges tétlen időt mielőtt az interfész rejtett lenne';
+
+$lang['gally_meta_num_cols'] = 'Metaadat megtekintése';
+$lang['gally_meta_num_cols_desc'] = 'Ez az opció állítja be a metaadatok oszlopainak számát';
+$lang['gally_columns'] = 'Oszlopok száma';
+
+$lang['gally_display_banner'] = 'Banner megjelenítése';
+$lang['gally_display_banner_desc'] = 'Ez az opció szabályozza, hogy az oldal bannere mikor jelenjen meg egy kép megtekintésekor';
+$lang['gally_display_banner_yes'] = 'Banner megjelenítése';
+$lang['gally_display_banner_no'] = 'Ne mutassa a bannert';
+
+
+$lang['gally_image_auto_scroll'] = 'Menedzsment a panoráma képeknek';
+$lang['gally_image_auto_scroll_desc'] = 'Ez az opció határozza meg, hogyan kell kezelni a széles képek megjelenítését';
+$lang['gally_image_auto_scroll_yes'] = 'A kép automatikus görgetése a kurzor alatt';
+$lang['gally_image_auto_scroll_no'] = 'A kép manuális görgetése';
+$lang['gally_image_auto_scroll_warning'] = 'Ez a funkció automatikusan kikapcsol az MS Internet Explorer 8-nál régebbi verzióknál';
+
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Panoráma képek nagy felbontásának szimulálása';
+
+// v1.3.5
+$lang['gally_image_interface_can_switch']='Interfész láthatósági mód';
+$lang['gally_image_interface_can_switch_desc']='Ez az opció határozza meg, hogy az interfész folyamatosan jelen van vagy el lehet rejteni';
+$lang['gally_image_interface_can_switch_yes']='Az interfész csak meghatározott szabályok alatt látható';
+$lang['gally_image_interface_can_switch_no']='Az interfész mindig látható';
+$lang['gally_display_banner_alternate'] = 'Egy alternatív banner megjelenítése';
+$lang['gally_alternate_banner_content'] = 'Alternatív banner tartalom:';
+
+?>